Bug 46021 - Add NoStaticTables attributes to IDLs of FileSystem API for Worker support
: Add NoStaticTables attributes to IDLs of FileSystem API for Worker support
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebCore Misc.
: 528+ (Nightly build)
: PC Mac OS X 10.5
: P2 Normal
Assigned To: Nobody
:
Depends on:
Blocks: 42903
  Show dependency treegraph
 
Reported: 2010-09-17 17:33 PDT by Kinuko Yasuda
Modified: 2010-09-30 13:39 PDT (History)
3 users (show)

See Also:


Attachments
Patch (8.50 KB, patch)
2010-09-17 17:40 PDT, Kinuko Yasuda
no flags Details | Formatted Diff | Diff
Patch (5.32 KB, patch)
2010-09-17 18:00 PDT, Kinuko Yasuda
levin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kinuko Yasuda 2010-09-17 17:33:48 PDT
FileSystem API IDL files must have NoStaticTables to support workers.
Comment 1 Kinuko Yasuda 2010-09-17 17:40:19 PDT
Created attachment 67980 [details]
Patch
Comment 2 David Levin 2010-09-17 17:46:01 PDT
Comment on attachment 67980 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=67980&action=prettypatch

Mostly looks good. I had a few question about things that I like to understand before r+'ing. (If anyone else understands them and wants to r+, that is fine with me.)

> WebCore/ChangeLog:8
> +        Also changed their module from storage to fileapi.

Why?

> WebCore/ChangeLog:17
> +        * fileapi/ErrorCallback.idl:

A few of these idl's including this one didn't get NoStaticTables added to them. Why? (A ChangeLog comment on these file would be nice to explain it.)
Comment 3 Kinuko Yasuda 2010-09-17 18:00:43 PDT
Created attachment 67983 [details]
Patch
Comment 4 Kinuko Yasuda 2010-09-17 18:05:00 PDT
(In reply to comment #2)
> (From update of attachment 67980 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=67980&action=prettypatch
> 
> Mostly looks good. I had a few question about things that I like to understand before r+'ing. (If anyone else understands them and wants to r+, that is fine with me.)
> 
> > WebCore/ChangeLog:8
> > +        Also changed their module from storage to fileapi.
> 
> Why?

I dropped this change (again) from this patch as it might be irrelevant.
(I moved them from WebCore/storage to WebCore/fileapi in r66586 but haven't changed the module name, and I thought it might be better to change the module name too.)

> > WebCore/ChangeLog:17
> > +        * fileapi/ErrorCallback.idl:
> 
> A few of these idl's including this one didn't get NoStaticTables added to them. Why? (A ChangeLog comment on these file would be nice to explain it.)

Added a comment in ChangeLog - Callback interfaces are implemented differently and NoStaticTables has no effect on them.  (That's my understanding - no other callbacks idl seem to have NoStaticTables.)
Comment 5 David Levin 2010-09-17 18:19:20 PDT
Comment on attachment 67983 [details]
Patch

Thanks!
Comment 6 Kinuko Yasuda 2010-09-20 20:37:38 PDT
Committed r67917: <http://trac.webkit.org/changeset/67917>